import { UserRole } from "@prisma/client";
import type { NextAuthConfig } from "next-auth";
import Credentials from "next-auth/providers/credentials";

import { discourseCallbackVerify } from "./lib/discourse/verify";

// Notice this is only an object, not a full Auth.js instance
export default {
  providers: [
    Credentials({
      credentials: {
        sso: { type: "text" },
        sig: { type: "text" },
      },
      async authorize(credentials) {
        if (!credentials?.sso || !credentials?.sig) return null;

        return await discourseCallbackVerify(
          credentials.sso as string,
          credentials.sig as string,
        );
      },
    }),
  ],
} satisfies NextAuthConfig;
